var EnemyCharacterClass_Farmer = function(stage, args){
	EnemyCharacterClass_Farmer.base.apply(this, [stage, [["farmer1.png","farmer2.png","farmer3.png","farmer4.png","farmeraim.png","farmerfire.png","farmercooldown.png","farmerrelord.png","farmerfire.png","farmercooldown.png","farmerrelord.png","farmer3.png","farmer2.png",]]]);

	this.size.x = 50;
	this.size.y=   100;
	
	this.chasingRange = 600;
	this.movingVelocity = 100;
	this.max_HP = 100;
	this.HP = this.max_HP;
	this.touchDamage = 30;
	this.isWeaponed = true;
	stage.addStageObject(this);

}.extend(EnemyCharacterClass, {
	className: "EnemyCharacterClass_Farmer",
fire: function()
	{
		if(this.lastFireTick < this.ownerStage.manager.tickCount - this.fireTickInterval){
			var f = new FireObjectClass(this.ownerStage, [["bullet.png"]]);
			f.maxBoundCount = 1;
			f.size.x = 10;
			f.size.y = 10;
			fireTickInterval= 30
			//f.fire(this,192,96);
			f.fire(this,32,50);
			this.lastFireTick = this.ownerStage.manager.tickCount;
		}
	},

});
